org.eclipse.rap.rwt.client.service

## Interface ClientFileLoader

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface ClientFileLoader
    extends ClientService

The ClientFileLoader service allows loading additional JavaScript and CSS files at runtime.

Since:
  3.1

### Method Summary

Methods
`void` `requireCss(java.lang.String url)` Instructs the client to immediately load and include CSS file from the given URL.
`void` `requireJs(java.lang.String url)` Instructs the client to immediately load and execute a JavaScript file from the given URL.

### Method Detail

#### requireJs

    void requireJs(java.lang.String url)

Instructs the client to immediately load and execute a JavaScript file from the given URL. If the file has already been loaded by the client, it won't be loaded again.

Files can be registered with the `ResourceManager`.

Parameters:
  `url` - the URL from which to load the JavaScript file

#### requireCss

    void requireCss(java.lang.String url)

Instructs the client to immediately load and include CSS file from the given URL. If the file has already been loaded by the client, it won't be loaded again.

Files can be registered with the `ResourceManager`.

Parameters:
  `url` - the URL from which to load the CSS file

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0